diff .chezmoiscripts/run_onchange_after_21-install-pre-commit.sh.tmpl @ 821:03e120882791

feat: install pre-commit
author zegervdv <zegervdv@me.com>
date Fri, 15 Dec 2023 08:05:00 +0100
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_21-install-pre-commit.sh.tmpl	Fri Dec 15 08:05:00 2023 +0100
@@ -0,0 +1,9 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu")) -}}
+{{ $pre_commit_version := "3.6.0" -}}
+#!/usr/bin/env bash
+
+set -xe
+
+pipx install "pre-commit=={{ $pre_commit_version }}"
+
+{{ end }}